CRM

List custom fields applicable to a view

GET
/v1/crm/fields

Authorization

x-api-key<token>

In: header

Query Parameters

objectType*string
Value in"people" | "companies"
listId?string

Also include this list's list-scoped fields.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/crm/fields?objectType=people"
{
  "data": [
    {
      "config": {
        "property1": null,
        "property2": null
      },
      "id": "string",
      "key": "string",
      "label": "string",
      "listId": "string",
      "objectType": "people",
      "options": [
        {
          "color": "string",
          "id": "string",
          "label": "string",
          "outcome": "won"
        }
      ],
      "scope": "object",
      "sortOrder": 0,
      "type": "text"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}